Bug 229465 - lang/gcc6-aux: Error in versioning causing other port failures
Summary: lang/gcc6-aux: Error in versioning causing other port failures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Eric Turgeon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-02 06:45 UTC by Jamie Landeg-Jones
Modified: 2018-07-17 14:09 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ericbsd)


Attachments
Patch to Makefile to correct version (333 bytes, patch)
2018-07-02 06:45 UTC, Jamie Landeg-Jones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Landeg-Jones 2018-07-02 06:45:03 UTC
Created attachment 194824 [details]
Patch to Makefile to correct version

Hi. Looking at lang/gcc6-aux it appears to be a version of gcc 6.4.1, yet the port is marked as being 6.5.0 - indeed , if your run --version on it, you get:

| 16:21 (19) "gcc6-aux" root@thompson# ptimes gcc6-aux-20180516
| Thu  7 Jun 2018 21:50:32 BST lang/gcc6-aux (gcc6-aux-20180516)
|
| 16:21 (20) "gcc6-aux" root@thompson# /usr/local/gcc6-aux/bin/gcc --version
| gcc (GCC) 6.4.1 20180516 (snapshot) -=> GNAT AUX [FreeBSD64]
| Copyright (C) 2017 Free Software Foundation, Inc.
| This is free software; see the source for copying conditions.  There is NO
| warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Also, the pkg info -l gcc6-aux-20180516 shows the many files that install into "6.4.1" subdirectories.

Unfortunately, this breaks the build of "lang/gnatcross-aarch64" and "lang/gnatdroid-armv7" (which has already been updated as BROKEN because of this.)

Changing :

 | 16:26 (25) "gcc6-aux" root@thompson# pwd;diff Makefile.version.orig Makefile.version
 | /usr/ports/lang/gcc6-aux
 | 9c9
 | < GCC_POINT=            5.0
 | ---
 | > GCC_POINT=            4.1

 .. allows the 2 ports to compile again.

Patch attached...
Comment 1 Eric Turgeon freebsd_committer 2018-07-17 12:52:57 UTC
I am waiting for the https://reviews.freebsd.org/D16298 and That will be committed when approved.
Comment 2 commit-hook freebsd_committer 2018-07-17 14:03:07 UTC
A commit references this bug:

Author: ericbsd
Date: Tue Jul 17 14:02:35 UTC 2018
New revision: 474798
URL: https://svnweb.freebsd.org/changeset/ports/474798

Log:
  Fix gcc6-aux ports version

  PR:		229465
  Reported by:	Jamie Landeg-Jones
  Approved by:	bapt (mentor)

Changes:
  head/lang/gcc6-aux/Makefile
  head/lang/gcc6-aux/Makefile.version